import java.awt.*;
import java.awt.event.*;
import java.io.*;

class Comparateur
{
  int reference[];
  String proposition;
  
  Comparateur(int ref[],String prop)
  { reference=ref;
    proposition=prop;
  }

  boolean resultat()
  {
    int i=0;
    int type;
    boolean temoin=true;
    StreamTokenizer entree=new StreamTokenizer
      (new StringReader(proposition));

    while(true)
      {
        try {type=entree.nextToken();}
        catch (IOException e) {type=StreamTokenizer.TT_EOF;}
        if (type==StreamTokenizer.TT_NUMBER)
         { if (i<reference.length)
             { if ((int)entree.nval==reference[i]) i++; else temoin=false ; }
           else temoin=false ;
         }
        else if (type==StreamTokenizer.TT_EOF)
               break;
             else temoin=false;
      } 
    if (temoin&&(i==reference.length))
      return true ; else return false ;
  }
}


public class Correcteur extends Frame implements ActionListener, TextListener
{  
  int solution[]={1,2,3,1,2};
  Button bouton = new Button("Soumettre");
  TextField saisie= new TextField(12);
  Label verdict=new Label("     ");

  Correcteur()
  {
    Panel p;
    setLayout(new FlowLayout(FlowLayout.CENTER,5,5));

    p = new Panel();
    p.add(new Label("Votre proposition : "));
    add(p);
    
    p = new Panel();
    saisie.setText("");
    p.add(saisie);
    add(p);
    saisie.addTextListener(this);
    saisie.addActionListener(this);

    p = new Panel();
    p.add(bouton);
    add(p);
    bouton.addActionListener(this);

    p = new Panel();
    p.add(verdict);
    add(p); 
    
  }

  public void actionPerformed(ActionEvent e)
  {
    if ((e.getSource()==bouton)||(e.getSource()==saisie))
      {
        Comparateur comp=new Comparateur(solution,saisie.getText());
        boolean prop;
        prop=comp.resultat();
        if (prop) verdict.setText("Exact") ; else verdict.setText("Faux");
      }
  }

  public void textValueChanged(TextEvent e)
  { 
    if (e.getSource()==saisie) verdict.setText("        ");
  }

  public static void main(String[] argv)
  {
    Correcteur monCadre=new Correcteur();
    monCadre.setSize(500,30);
    monCadre.setVisible(true);
  }
}


